default: &default
  adapter: postgresql
  encoding: unicode
  pool: 5
  
  # adapter: sqlite3
  # pool: <%= ENV.fetch("RAILS_MAX_THREADS") { 5 } %>
  # timeout: 5000

development:
  <<: *default
  database: chatnode_development

test:
  <<: *default
  database: chatnode_test

production:
  <<: *default
  database: <%= ENV['CHATNODE_DATABASE'] %>
  username: <%= ENV['CHATNODE_DATABASE_USERNAME'] %>
  password: <%= ENV['CHATNODE_DATABASE_PASSWORD'] %>
  host: <%= ENV['CHATNODE_DATABASE_HOSTNAME'] %>
  port: <%= ENV['CHATNODE_DATABASE_PORT'] %>

